data {
    int N;
    int M;
    vector[N] y;
    array[N] vector[M] X;
}
parameters {
    real b0;
    vector[M] b;
    real<lower = 0.0> sgm;
}
model {
    b0 ~ normal(0.0, 2.5);
    b ~ normal(0.0, 2.5);
    sgm ~ exponential(1/1.0);
    for (i in 1:N) {
        y[i] ~ normal(b0 + dot_product(b,X[i]), sgm);
    }
}
